#!/bin/sh

LISTA="/usr/local/cga-comparte-impresora/lista_ips.txt"
MICUPSD="/etc/cups/cga-cupsd.conf"
ESTADO="/usr/local/cga-comparte-impresora/compartiendo"

echo "#">$MICUPSD
echo "#  Archivo de extension de cupsd.conf">>$MICUPSD
echo "#">>$MICUPSD

echo "BrowseTimeout 60" >> $MICUPSD

MIIP=` ifconfig |grep "inet " |grep 192|cut -d ":" -f 2|cut -d " " -f 1`
echo  "ServerName $MIIP" >> $MICUPSD

echo "<Location />" >> $MICUPSD
echo " Order allow,deny" >> $MICUPSD
echo " Allow From 127.0.0.1" >> $MICUPSD

while read IP
do
	echo "  Allow From $IP" >> $MICUPSD
done < $LISTA

echo "</Location>" >> $MICUPSD

echo "" >> $MICUPSD

while read IP
do
	echo "BrowseAddress  $IP">>$MICUPSD
done < $LISTA

if [ `cat $LISTA|wc -l` -gt 0 ]
then
	echo "2">$ESTADO
else
	echo "0">$ESTADO
fi
                
echo "REINICIANDO CUPS"
/etc/init.d/cupsys restart
                
